function cla1=C80_funcion(sala)


maxtt=155190;%numero de muestras de la respuesta impulsiva
%dt=1.4663e-05;%paso temporal utilizado en la simulación de FDTD
dt=1/44100;
sala=sala(45000:end,:);
fs=44100;
%%
% for ii=1:18
%     salida0bis(:,ii)=resample(sala(:,ii),fs,round(1/dt));
% end
    
salida0bis=sala;%Comentar esto y descomentar lo otro en caso de tener que resamplear
%%
tinicial=0.001;
tfinal=0.080;
fin=2.3;

for ii=1:6; %Encuentra el instante 0 donde la señal es suficientemente alta
    t0(ii)=find(salida0bis(:,ii)/max(abs(salida0bis(:,ii)))>1/100,1,'first');
    t0(ii+6)=t0(ii);t0(ii+12)=t0(ii);
end
%%
for ii=1:18 %Corta la señal para ajustar en tiempo en el sumatorio (integración) posterior
    
    x(:,:,ii)=filtra(salida0bis(:,ii),44100,1);
    xcorta(:,:,ii)=x(t0(ii)+round(tinicial*fs):t0(ii)+round(tfinal*fs),:,ii);
    xcorta2(:,:,ii)=x(t0(ii)+round(tfinal*fs):t0(ii)+round(fin*fs),:,ii);
end
 

%%


for ii=1:18 %banda
    for jj=1:18 %micro
        cla(ii,jj)=10*log10(sum(xcorta(:,ii,jj).^2)./sum(xcorta2(:,ii,jj).^2));
%         LEF0_x(ii,jj)=sum(xcorta(:,ii,jj+6).^2)/sum(xcorta(:,ii,jj).^2);
%         LEF0_y(ii,jj)=sum(xcorta(:,ii,jj+12).^2)/sum(xcorta(:,ii,jj).^2);
    end
end
cla1=mean(cla');

return


